Bug 242564 - KDE session restoring disabled by default in F7
KDE session restoring disabled by default in F7
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: 245764 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-04 16:15 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: kde-settings-3.5-29.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-18 11:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-06-04 16:15:51 EDT
Description of problem:
KDE session restoring apparently no longer works in F7. For example, KSensors 
isn't autostarted on startup anymore even if that option is checked. This 
worked in a fully-updated FC6. Other apps left running aren't restarted on the 
next login either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start KSensors, make sure the option to "Autostart KSensors on KDE startup" 
is checked.
2. Log out.
3. Log in.

Actual results:
KSensors is no longer running.

Expected results:
KSensors should be automatically restarted.

Additional info:
KSensors is the app I noticed this with, but according to a discussion I just 
had with another user, this also happens with other apps left running on 
logout, so I'm putting the blame on kdebase and/or kde-settings here, not 
Comment 1 Rex Dieter 2007-06-04 16:27:19 EDT
Session restore isn't enabled by default, but is manual, K->Save Session
To change that, KControl -> KDE Components -> Session Manager (On Login section).

That said, for individual apps that are supposed to autostart, that is a
separate issue.  If they say they'll autostart, but don't, then it's a bug in
that particular app, imo.
Comment 2 Kevin Kofler 2007-06-04 16:28:51 EDT
But why was the default changed? It used to default to automatic in FC6 as far 
as I know.
Comment 3 Kevin Kofler 2007-06-04 16:34:29 EDT
This is a configuration issue => reassigning to kde-settings.
Comment 4 Kevin Kofler 2007-06-04 16:43:08 EDT
I just filed bug #242570 against KSensors for the failure to autostart with 
automatic session restoring disabled.
Comment 5 Rex Dieter 2007-06-04 16:46:49 EDT
Just like most changes introduced by kde-settings, it was simply the way
I/kde-redhat had done it (for a long time).  Also, that's the way *I* like it.

That's not to say it's right or better, just an explanation of how we got here.

Kevin, based on your comments, I'll assume your (strong?) opinion is that
automatica Session Restore should be default.

Than, what do you think?
Comment 6 Kevin Kofler 2007-06-04 16:49:03 EDT
Not so strong opinion. If Than and you agree that it's NOTABUG, then let's 
close it as such.
Comment 7 Ngo Than 2007-06-05 06:17:51 EDT
It's one of the KDE default setting which must be enable as default in 
Enterprise Product RHEL and Fedora.

We must revert the changes to RHEL5/FC6 what the customers/users want.
Rex, i'm planing to revert the changes in kde-setting.
Comment 8 Christopher Stone 2007-06-08 15:52:55 EDT
I think it would be better to keep the FC6 defaults because I'm sure that is
what most Fedora KDE users are used to.  But I am not against changing a default
setting if it makes a lot of sense.

There are also problems with knetworkmanager and kwallet not starting up like
they are supposed to.  For example, I told knetworkmanager to start up
automatically, but it does not.  And kwallet I also believe showed this behavior.
Comment 9 Ngo Than 2007-06-18 11:49:25 EDT
it's now fixed in kde-settings-3.5-29.fc7. It will be pushed with KDE-3.5.7 
packages in f7 update soon.
Comment 10 Rex Dieter 2007-07-03 05:50:04 EDT
*** Bug 245764 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.